Skip to main content
Resource Center/Hardware/Backup Storage Operations
GETBackup Storage OperationsSince 2.2SynchronousAuth Required

GetBackupStorageCandidatesForImageMigration

GetBackupStorageCandidatesForImageMigration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • srcBackupStorageUuidStringRequired

    The UUID of the backup storage whose images are to be migrated.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionString

      Optional. The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

GET/zstack/v1/backup-storage/{srcBackupStorageUuid}/migration-candidates

/zstack/v1/backup-storage/{srcBackupStorageUuid}/migration-candidates

Operation ID

GetBackupStorageCandidatesForImageMigration

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/backup-storage/{srcBackupStorageUuid}/migration-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "7ed005f5dcfd4ca7b1883b97c803f53b", "name": "BS-1" } ] }

Change History

This API has no change history records yet.

View all change history